Package io.milvus.param.collection

## Class RenameCollectionParam.Builder

- java.lang.Object
- - io.milvus.param.collection.RenameCollectionParam.Builder

- Enclosing class:
    RenameCollectionParam

      public static final class RenameCollectionParam.Builder
      extends java.lang.Object

  Builder for `RenameCollectionParam` class.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `RenameCollectionParam` | `build()` | Verifies parameters and creates a new `RenameCollectionParam` instance.
    `RenameCollectionParam.Builder` | `withNewCollectionName​(@NonNull java.lang.String newCollectionName)` | Sets the new collection name.
    `RenameCollectionParam.Builder` | `withOldCollectionName​(@NonNull java.lang.String oldCollectionName)` | Sets the old collection name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### withOldCollectionName

          public RenameCollectionParam.Builder withOldCollectionName​(@NonNull
                                                                     @NonNull java.lang.String oldCollectionName)

      Sets the old collection name. Old collection name cannot be empty or null.
      Parameters:
        `oldCollectionName` - old collection name
      Returns:
        `Builder`

    - #### withNewCollectionName

          public RenameCollectionParam.Builder withNewCollectionName​(@NonNull
                                                                     @NonNull java.lang.String newCollectionName)

      Sets the new collection name. New collection name cannot be empty or null.
      Parameters:
        `newCollectionName` - new collection name
      Returns:
        `Builder`

    - #### build

          public RenameCollectionParam build()
                                      throws ParamException

      Verifies parameters and creates a new `RenameCollectionParam` instance.
      Returns:
        `RenameCollectionParam`
      Throws:
        `ParamException`